declare type PropertyTypes = string | number;
declare type ICatalogProperty = {
    [K in PropertyTypes]: any;
};
export interface ICatalog {
    _components: ICatalogProperty;
    getComponent: (component: PropertyTypes) => any | null;
    hasComponent: (component: PropertyTypes) => boolean;
}
export interface ICatalogType {
    components: ICatalogProperty;
}
export interface ICatalogContext {
    catalog: ICatalog;
}
export declare class Catalog implements ICatalog {
    _components: ICatalog['_components'];
    constructor(catalog: ICatalogType);
    getComponent: ICatalog['getComponent'];
    hasComponent: ICatalog['hasComponent'];
}
export default Catalog;
